package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.TaskResultEnum;
import com.qmth.sop.common.enums.TaskStatusEnum;
import com.qmth.sop.common.enums.TaskTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 任务列表result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/25
 */
public class TaskListResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id")
    Long id;

    @ApiModelProperty(value = "任务类型")
    TaskTypeEnum type;

    @ApiModelProperty(value = "任务状态，INIT：未开始，RUNNING：进行中，FINISH：已完成")
    TaskStatusEnum status;

    @ApiModelProperty(value = "数据结果，SUCCESS：成功，ERROR：失败")
    TaskResultEnum result;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人id")
    Long createId;

    @ApiModelProperty(value = "创建人")
    String createName;

    @ApiModelProperty(value = "创建时间")
    Long createTime;

    @ApiModelProperty(value = "是否有导入文件")
    Boolean hasImportFile;

    @ApiModelProperty(value = "是否有导出文件")
    Boolean hasResultFile;

    @ApiModelProperty(value = "是否有报告文件")
    Boolean hasReportFile;

    @ApiModelProperty(value = "重新生成次数")
    int resetCount;

    @ApiModelProperty(value = "人工错误原因")
    String errorMessage;

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public int getResetCount() {
        return resetCount;
    }

    public void setResetCount(int resetCount) {
        this.resetCount = resetCount;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public TaskTypeEnum getType() {
        return type;
    }

    public void setType(TaskTypeEnum type) {
        this.type = type;
    }

    public TaskStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TaskStatusEnum status) {
        this.status = status;
    }

    public TaskResultEnum getResult() {
        return result;
    }

    public void setResult(TaskResultEnum result) {
        this.result = result;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Boolean getHasImportFile() {
        return hasImportFile;
    }

    public void setHasImportFile(Boolean hasImportFile) {
        this.hasImportFile = hasImportFile;
    }

    public Boolean getHasResultFile() {
        return hasResultFile;
    }

    public void setHasResultFile(Boolean hasResultFile) {
        this.hasResultFile = hasResultFile;
    }

    public Boolean getHasReportFile() {
        return hasReportFile;
    }

    public void setHasReportFile(Boolean hasReportFile) {
        this.hasReportFile = hasReportFile;
    }
}
