package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.LoginResult;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.common.enums.AppSourceEnum;

import java.security.NoSuchAlgorithmException;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysUserService extends IService<SysUser> {

    /**
     * 登录公用
     *
     * @param password
     * @param sysUser
     * @param appSource
     * @return
     * @throws NoSuchAlgorithmException
     */
    public LoginResult login(String password, SysUser sysUser, AppSourceEnum appSource) throws NoSuchAlgorithmException;

    /**
     * 删除用户信息
     *
     * @param userId
     * @param all
     */
    public Boolean removeUserInfo(Long userId, boolean all) throws NoSuchAlgorithmException;
}
